/**********************************************************
             Mora Industrial MCU
        (c) Copyright by MORIB Sp. z o.o. 2001
        
============================================================

File: alarm_thd.c

Contains: alarm_thread, procedures for checking & reporting 
          various alarm states

Remarks:       


Revision Control System
	$Id: template.c 1.2 1999/02/05 10:17:16 Rajish Exp $

         
***********************************************************/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "system.h"
#include "repeater.h"
#include "register.h"

#define EXTERN
#include "alarm_thd.h"

/*************************************************************/
rtems_task alarm_thread(rtems_task_argument unused)
{
    rtems_status_code status;

    /* main loop */
    while(1)
    {
        PEDR |= 0x0020;
        status = rtems_task_wake_after( 100 );
        PEDR &= ~0x0020;
        status = rtems_task_wake_after( 100 );
    }
}
/*************************************************************/
